## org.eclipse.datatools.sqltools.core.profile
Class SQLToolsProfileListenersManager

    java.lang.Object
      org.eclipse.datatools.sqltools.core.profile.SQLToolsProfileListenersManager

    public class SQLToolsProfileListenersManager

extends java.lang.Object

This class is to manage all profile listeners in SQL Dev Tools. Since Connectivity layer defined `IProfileListener`, `IProfileListener1`, to reduce the coupling and make the interface between SQL Dev Tools and connectivity layer clear, we define our own profile listeners manager, thus we will have only one class which implements `IProfileListener`, `IProfileListener1`, other classes which need to be notified when profile events occur may need to implement `ISQLToolsProfileListener` instead.

Author:
  Idull

Method Summary
`void` `addProfileListener(ISQLToolsProfileListener listener)`
`void` `fireProfileAdded(IConnectionProfile profile)`
`void` `fireProfileChanged(IConnectionProfile profile, java.lang.String oldName, java.lang.String oldDesc, java.lang.Boolean oldAutoConnect, boolean onlyNameChanged, ConnectProfile oldProfile)`
`void` `fireProfileDeleted(IConnectionProfile profile)`
`static SQLToolsProfileListenersManager` `getInstance()`
`void` `removeProfileListener(ISQLToolsProfileListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SQLToolsProfileListenersManager getInstance()

### addProfileListener

    public void addProfileListener(ISQLToolsProfileListener listener)

### removeProfileListener

    public void removeProfileListener(ISQLToolsProfileListener listener)

### fireProfileAdded

    public void fireProfileAdded(IConnectionProfile profile)

### fireProfileDeleted

    public void fireProfileDeleted(IConnectionProfile profile)

### fireProfileChanged

    public void fireProfileChanged(IConnectionProfile profile,
                                   java.lang.String oldName,
                                   java.lang.String oldDesc,
                                   java.lang.Boolean oldAutoConnect,
                                   boolean onlyNameChanged,
                                   ConnectProfile oldProfile)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.